#include<bits/stdc++.h>
using namespace std;
int nadji(int k,int a[],int n)
{
	int i;
	for(i=0;i<n;i++)
	 if(a[i]==k)
	  return i;
}
int main()
{
	int n,k,a[20010],i;
	scanf("%d%d",&n,&k);
	for(i=0;i<n;i++)
	 scanf("%d",&a[i]);
	i=nadji(k,a,n);
	if(i==n-1)
	 printf("%d",a[0]);
	else
	 printf("%d",a[i+1]);
	return 0;
}